from OpenGL.GL import *
from OpenGL.Tk import *
from OpenGL.GLUT import *

xmin= -1
xmax = 1
ymin = -1
ymax = 1
zmin = -1
zmax = 1


def DrawAxis():
    glColor3f(0.0,0.0,0.0)
    glBegin(GL_LINES)
    glVertex3f(xmin, 0, 0)
    glVertex3f(xmax, 0, 0)
    glVertex3f(0, ymin, 0)
    glVertex3f(0, ymax, 0)
    glEnd()


def DrawMyStuff():  # The Drawing Routine
    glColor3f(1.0, 1.0, 0.0)		# Set drawing color to yellow
    glBegin( GL_POINTS )		# Start drawing POINTS
    x = -1
    while x <= 1:   # Step from -1 to +1 by 0.001 
       y =  4* x -  4* x * x      # Calculate y value of parabola
       glVertex3f(x, y, 0.0)      # Plot point at (x,y) z=0 in 2D
       x += 0.001
    glEnd()				# End drawing points

def display(o):
    glClearColor(0.5, 0.5, 0.5, 0)
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT)
#    glOrtho(xmin, xmax, ymin, ymax, zmin, zmax)
    glDisable(GL_LIGHTING)
    DrawAxis()
    DrawMyStuff()
#    glEnable(GL_LIGHTING)
    glFlush()

def myinit():
   # select clearing (background) color  
   glClearColor(0.5, 0.5, 0.5, 0.0)     # These RGB values make gray
   
   # initialize viewing values 
   glMatrixMode(GL_PROJECTION)			# Select Matrix Mode
   glLoadIdentity()				# Provide Base Matrix 
   glOrtho(xmin, xmax, ymin, ymax, zmin, zmax)   	# Set window dimensions
   # Parameters:  glOrtho(Left, Right, Bottom, Top, Front, Back)


def main():
    o = Opengl(width = 400, height = 400, double = 1)
    myinit()
    o.redraw = display
    o.pack(side = 'top', expand = 1, fill = 'both')
    o.mainloop()

main()
